[P042]Fulltext Inline Image
Receive patent fulltext image data by patent_id or patent_number. Patent fulltext data includes fulltext image type and fulltext image URL path.
The patent_id and the patent_number must have one of the two parameters, if both exist, the patent_id will be used first.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | fdbca633-63df-4c0b-8597-3f6c5e3a2748 | patent_id |
| string | CN116420141A | patent_number |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
pn | string | CN116420141A | patent number |
patent_id | string | fdbca633-63df-4c0b-8597-3f6c5e3a2748 | patent id |
result_count | integer<int32> | 9 | fulltext image count |
fulltext_inline_image | array | Please check the form: FulltextInlineImage | fulltext inline images |
path | string | https://open.zhihuiya.com/fulltext-image/CN/A/11/64/20/14/1/HDA0004204487520000011.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729566601%3B1730171401%26q-key-time%3D1729566601%3B1730171401%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3D23338ffd2c057497912d1d5e09f5570902136b6a&response-expires=Tue%2C%2029%20Oct%202024%2003%3A10%3A01%20GMT | fulltext image path |
image_id | string | HDA0004204487520000011 | fulltext image id |
image_type | string | drawings | fulltext image type |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"pn": "CN116420141A",
"patent_id": "fdbca633-63df-4c0b-8597-3f6c5e3a2748",
"result_count": 9,
"fulltext_inline_image": [
{
"path": "https://open.zhihuiya.com/fulltext-image/CN/A/11/64/20/14/1/HDA0004204487520000011.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDz31lFbrtH8mIbFyaxA70x49IRP7lLiCT%26q-sign-time%3D1729566601%3B1730171401%26q-key-time%3D1729566601%3B1730171401%26q-header-list%3Dhost%26q-url-param-list%3Dresponse-expires%26q-signature%3D23338ffd2c057497912d1d5e09f5570902136b6a&response-expires=Tue%2C%2029%20Oct%202024%2003%3A10%3A01%20GMT",
"image_id": "HDA0004204487520000011",
"image_type": "drawings"
}
]
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms